﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace TabControlReloading
{
	public partial class Page : UserControl
	{
		public Page()
		{
			InitializeComponent();

			//We can use the tabControl just for its tab strip and selection
			//and then show/hide the content in a separate control (that we
			//can also bind. You need to be careful though because having
			//many elements created at once may affect the performance.
			var itemsSource = Enumerable.Range(1, 3).Select(num =>
				new MyViewModel()
				{
					Name = String.Format("Content {0}", num),
					Header = String.Format("Header {0}", num)
				}).ToList();

			tabStrip.ItemsSource = itemsSource;
			tabContent.ItemsSource = itemsSource;
		}

		private void Button_Loaded(object sender, RoutedEventArgs e)
		{
		}

		private void Button_Loaded2(object sender, RoutedEventArgs e)
		{
		}

		private void MSButton_Loaded(object sender, RoutedEventArgs e)
		{
		}

		private void MSButton_Loaded2(object sender, RoutedEventArgs e)
		{
		}

		private void OnSelectedChnaged(object sender, RoutedEventArgs e)
		{
			foreach (var item in tabContent.Items)
			{
				var container = tabContent.ItemContainerGenerator.ContainerFromItem(item) as FrameworkElement;
				if (container == null)
				{
					continue;
				}
				if (item == tabStrip.SelectedItem)
				{
					container.Visibility = Visibility.Visible;
				}
				else
				{
					container.Visibility = Visibility.Collapsed;
				}
			}
		}
	}

	public class MyViewModel
	{
		public string Header { get; set; }

		public string Name { get; set; }
	}
}
